{ pkgs, ... }:
{
  environment.systemPackages = with pkgs; [
    prometheus-node-exporter
    prometheus-systemd-exporter
  ];

  systemd.services."node-exporter" = {
    enable = true;
    unitConfig = {
      Description = "Prometheus Node Exporter";
      After = [ "network.target" ];
    };
    serviceConfig = {
      ExecStart = "${pkgs.prometheus-node-exporter}/bin/node_exporter";
    };
    wantedBy = [ "multi-user.target" ];
  };

  systemd.services."systemd-exporter" = {
    enable = true;
    unitConfig = {
      Description = "Prometheus Systemd Exporter";
      After = [ "network.target" ];
    };
    serviceConfig = {
      ExecStart = "${pkgs.prometheus-systemd-exporter}/bin/systemd_exporter";
    };
    wantedBy = [ "multi-user.target" ];
  };

  networking.firewall.allowedTCPPorts = [ 9100 9558 ];
}
